package it.unipd.stat.se2.sommatore;

public class Sommatore
{
	int op1, op2;

	public static void main(String[] argv) throws ParametroNonNumericoException
	{
		Sommatore s = new Sommatore();
		try
		{
			s.somma(argv);
		}
		catch(ParametroMancanteException pme)
		{
			System.out.println("Con meno di due numeri non so come fare una somma");
			System.out.println(pme);
		}
	}

	public int somma(String[] args) throws ParametroMancanteException, ParametroNonNumericoException
	{
		try
		{
			op1 = Integer.parseInt(args[0]);
		}
		catch(ArrayIndexOutOfBoundsException aioobe)
		{
			aioobe.printStackTrace();
			throw new ParametroMancanteException("Primo parametro sommatore non esistente", aioobe);
		}
		catch(NumberFormatException nfe)
		{
			nfe.printStackTrace();
			throw new ParametroNonNumericoException("Primo parametro sommatore non e' un numero <" + args[0] + ">", nfe);
		}

		try
		{
			op2 = Integer.parseInt(args[1]);
		}
		catch(ArrayIndexOutOfBoundsException aioobe2)
		{
			aioobe2.printStackTrace();
			throw new ParametroMancanteException("Secondo parametro sommatore non esistente", aioobe2);
		}
		catch(NumberFormatException nfe2)
		{
			nfe2.printStackTrace();
			throw new ParametroNonNumericoException("Secondo parametro sommatore non e' un numero <" + args[1] + ">", nfe2);
		}

		if(op == 12 || op2 == 12)
		{
			throw new IlDodiciNonLoSopportoException();
		}

		System.out.println("La somma e': " + (op1+op2));
		return (op1+op2);
	}
}
